Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 237340 - Review Request: python-BeautifulSoup - HTML/XML parser for quick-turnaround applications like screen-scraping
Review Request: python-BeautifulSoup - HTML/XML parser for quick-turnaround a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 17:24 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-12-18 21:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-05 06:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-04-20 17:24:26 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/python-kaa/python-BeautifulSoup.spec
SRPM URL: 
http://kwizart.free.fr/fedora/6/testing/python-kaa/python-BeautifulSoup-3.0.4-1.kwizart.fc6.src.rpm
Description: HTML/XML parser for quick-turnaround applications like screen-scraping
Comment 1 Bernard Johnson 2007-04-30 15:04:14 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Rpmlint output: None
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: Python Software Foundation License
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 13a7a16e7f3b8febaace13b1b2790550
     MD5SUM upstream package: 13a7a16e7f3b8febaace13b1b2790550
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1. 
=== Final Notes ===
1. I'm not sure that the PKG-INFO file in %doc is useful for a regular user.


================
*** APPROVED ***
================
Comment 2 Nicolas Chauvet (kwizart) 2007-04-30 19:07:36 EDT
Well Since there is no license file this PKG-INFO is the only one provinding
such information...That's why i've used it...

This package is needed by freevo which is a Multimedia system written in python:
http://freevo.sourceforge.net/

I'm working on packaging it but since it "prefer" player that are not present in
Extras i will ask on the possibility to submit it on extras...
Comment 3 Nicolas Chauvet (kwizart) 2007-04-30 19:08:39 EDT
New Package CVS Request
=======================
Package Name: python-BeautifulSoup
Short Description: HTML/XML parser for quick-turnaround applications like
screen-scraping
Owners: kwizart@gmail.com
Branches: FC-6 devel
InitialCC: 
Comment 4 Bernard Johnson 2007-04-30 19:34:31 EDT
(In reply to comment #2)
> Well Since there is no license file this PKG-INFO is the only one provinding
> such information...That's why i've used it...

Which is the only thing I noticed too, otherwise it would be useless :)

Comment 5 Nicolas Chauvet (kwizart) 2007-12-18 12:45:12 EST
Package Change Request
======================
Package Name: python-BeautifulSoup
New Branches: EL-5
Comment 6 Kevin Fenzi 2007-12-18 21:21:40 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.